<?php

include '../../conexion/session.php';
include '../../conexion/conn.php';



$folio_planilla = $_REQUEST['folio_planilla'];
$num_foto = $_REQUEST['num_foto'];
$num = $_REQUEST['num'];
$nombre_foto_titulo = $_REQUEST['nombre_foto_titulo'];


$nombre_foto_archivo = $folio_planilla ."_". $num_foto;

$link = "image/" . $cliente . "/";

//comprobamos que sea una petición ajax


if (!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {

    $sincro = 'N';
    //obtenemos el archivo a subir
    $file = $_FILES[$num_foto]['name'];

    //comprobamos si existe un directorio para subir el archivo
    //si no es así, lo creamos
    if (!is_dir("../image/" . $cliente . "/")) {
        mkdir("../image/" . $cliente . "/", 0777);
    }


    //comprobamos si el archivo ha subido
    if ($file && move_uploaded_file($_FILES[$num_foto]['tmp_name'], "../image/" . $cliente . "/" . $nombre_foto_archivo . ".jpg")) {
        //achicar foto

        $imagen = '../image/' . $cliente . '/' . $nombre_foto_archivo . '.jpg';
        # ruta de la imagen final, si se pone el mismo nombre que la imagen, esta se sobreescribe 
        $imagen_final = '../image/' . $cliente . '/' . $nombre_foto_archivo . '.jpg';
        $ancho_nuevo = 640;
        $alto_nuevo = 480;
        //redim($imagen, $imagen_final, $ancho_nuevo, $alto_nuevo);


        $fileName = $nombre_foto_archivo . ".jpg";

        $imagen_content = base64_encode(file_get_contents('../image/' . $cliente . '/' . $fileName));
        //$imagen_content=$content;
        //$imagen_content=base64_encode($imagen_content);

        $rs = mysql_query("SELECT * FROM `contenedor_fotos` WHERE folio_planilla='$folio_planilla' and orden='$num'");

        if ($row = mysql_fetch_array($rs)) {
            $sincro = 'N';
            if ($row['sincro'] == "S") {
                $sincro = 'E';
            } else if ($row['sincro'] == "N") {
                $sincro = 'N';
            } else if ($row['sincro'] == "E") {
                $sincro = 'E';
            }
        } else {
            $sql =  ("INSERT INTO contenedor_fotos (`folio_planilla`, `nombre_foto_archivo`, `nombre_foto_titulo`, `orden`, `calidad_baja`, `sincro`) VALUES ('$folio_planilla', '$nombre_foto_archivo', '$nombre_foto_titulo', '$num', 'NO', 'N')");
            $result = @mysql_query($sql);
        }

        $sql2 =  ("INSERT INTO cal_fotos (pi_folio, caja_id, foto_num_caja, foto_fecha, name, content, usuario, calidad_baja, cliente_id, sincro) VALUES ('$folio_planilla', '$num', '$num', now(), '$fileName', '', '$rut', 'SI', '$cliente', 'N')");
        $result2 = @mysql_query($sql2);
        sleep(3); //retrasamos la petición 3 segundos
        echo $fileName; //devolvemos el nombre del archivo para pintar la imagen
    }
} else {
    throw new Exception("Error Processing Request", 1);
}


function redim($ruta1, $ruta2, $ancho, $alto)
{
    # se obtene la dimension y tipo de imagen 
    $datos = getimagesize($ruta1);

    $ancho_orig = $datos[0]; # Anchura de la imagen original 
    $alto_orig = $datos[1];    # Altura de la imagen original 
    $tipo = $datos[2];

    if ($tipo == 1) { # GIF 
        if (function_exists("imagecreatefromgif"))
            $img = imagecreatefromgif($ruta1);
        else
            return false;
    } else if ($tipo == 2) { # JPG 
        if (function_exists("imagecreatefromjpeg"))
            $img = imagecreatefromjpeg($ruta1);
        else
            return false;
    } else if ($tipo == 3) { # PNG 
        if (function_exists("imagecreatefrompng"))
            $img = imagecreatefrompng($ruta1);
        else
            return false;
    }

    # Se calculan las nuevas dimensiones de la imagen 
    if ($ancho_orig > $alto_orig) {
        $ancho_dest = $ancho;
        $alto_dest = ($ancho_dest / $ancho_orig) * $alto_orig;
    } else {
        $alto_dest = $alto;
        $ancho_dest = ($alto_dest / $alto_orig) * $ancho_orig;
    }

    // imagecreatetruecolor, solo estan en G.D. 2.0.1 con PHP 4.0.6+ 
    $img2 = @imagecreatetruecolor($ancho_dest, $alto_dest) or $img2 = imagecreate($ancho_dest, $alto_dest);

    // Redimensionar 
    // imagecopyresampled, solo estan en G.D. 2.0.1 con PHP 4.0.6+ 
    @imagecopyresampled($img2, $img, 0, 0, 0, 0, $ancho_dest, $alto_dest, $ancho_orig, $alto_orig) or imagecopyresized($img2, $img, 0, 0, 0, 0, $ancho_dest, $alto_dest, $ancho_orig, $alto_orig);

    // Crear fichero nuevo, según extensión. 
    if ($tipo == 1) // GIF 
        if (function_exists("imagegif"))
            imagegif($img2, $ruta2);
        else
            return false;

    if ($tipo == 2) // JPG 
        if (function_exists("imagejpeg"))
            imagejpeg($img2, $ruta2);
        else
            return false;

    if ($tipo == 3)  // PNG 
        if (function_exists("imagepng"))
            imagepng($img2, $ruta2);
        else
            return false;

    return true;
}
